void setup()
{
  Serial.begin(9600);
  Serial.println(F("TFT LCD test"));
  pinMode(dirpin, OUTPUT);
  pinMode(steppin, OUTPUT);
  pinMode(pin11, OUTPUT);    //initialise trigger pin
  digitalWrite(pin11, HIGH);  //ensure trigger is turned off  
  TFT_BL_ON;      // turn on the background light
  Tft.TFTinit();  // init TFT library
  Serial.begin(9600);
  Tft.setDisplayDirect(RIGHT2LEFT);

  Serial.print(F("LCD driver chip: "));  
  
  Tft.TFTinit(),  //test maart 2017
  //tft.reset();
  delay(500);
 uint16_t identifier = Tft.readID();

//  InitialiseIO();
//InitialiseInterrupt();

    //identifier=0x9341;
Tft.fillScreen(0, 240, 0, 260,MIDNIGHT_BLUE);
    
    
    // increase buttons and Right movement 
    Tft.drawCircle(30, 40, 25,WHITE);
    Tft.drawCircle(30, 100, 25,WHITE);
    Tft.drawCircle(30, 160, 25,WHITE);
    Tft.drawCircle(30, 220, 25,WHITE);
    Tft.drawString ("+",42,237,5,GREEN);
    Tft.drawString("+",42,177,5,GREEN );
    Tft.drawString("+",42,117,5,GREEN );
    Tft.drawString("R",42,57,5,GREEN );
     

    // Decrease buttons and Left movement
    Tft.drawCircle(210, 40, 25,WHITE);
    Tft.drawCircle(210, 100, 25,WHITE);
    Tft.drawCircle(210, 160, 25,WHITE);
    Tft.drawCircle(210, 220, 25,WHITE);
    Tft.drawString("-",222,237,5,RED );
    Tft.drawString("-",222,177,5,RED );
    Tft.drawString("-",222,117,5,RED );
    Tft.drawString("L",222,57,5,RED );

    //Data 
    Tft.fillRectangle(78, 240, 80,40,BLACK);
    Tft.fillRectangle(78, 180, 80,40,BLACK);
    Tft.fillRectangle(78, 120, 80,40,BLACK);
    Tft.fillRectangle(73, 60, 90,40,BLACK);
    Tft.drawRectangle(77, 200,82,42,ORANGE);
    Tft.drawRectangle(77, 140,82,42,ORANGE);
    Tft.drawRectangle(77, 80,82,42,ORANGE);
    Tft.drawRectangle(72, 20,92,42,ORANGE);
    
    //start/stop buttons
    Tft.fillRectangle(0, 320, 120,60,RED);
    Tft.drawRectangle(0, 260, 120,60,BLACK);    
    Tft.fillRectangle(120, 320, 120,60,GREEN);
    Tft.drawRectangle(120, 260, 120,60,BLACK);
//Text for the Start button
    Tft.drawString("START",235,297,3,BLACK );
//Text for the Stop button
    Tft.drawString("STOP",105,297,3,BLACK );

// Description text for Toggle buttons
    Tft.drawString("Time/Seconds",165,255,1,WHITE );
    Tft.drawString("Speed",135,195,1,WHITE );
    Tft.drawString("Lenght/Travel",170,135,1,WHITE );
    Tft.drawString("Direction",150,75,1,WHITE );
    Tft.drawString("Rev. 02 Made By R. Hoogmolen",230,8,1,BLACK );
  //-----------------------TEST

}
