#include <Adafruit_GFX.h>
#include <stdint.h>
#include <TFTv2.h>
#include <SPI.h>
#include <SeeedTouchScreen.h>
#include <Event.h>
#include <Timer.h>


Timer t;

int tid=1000;
int stepspeed=1000;
int steplenght=10;
boolean stepdirection=LOW;

char buf[12];

int dirpin = 9;
int steppin = 10;
int pin11 = 11;
int interrupt_pin = 12;

int eventid;

bool runok = true;

#define BLACK   0x0000
#define BLUE    0x001F
#define RED     0xF800
#define GREEN   0x07E0
#define CYAN    0x07FF
#define MAGENTA 0xF81F
#define YELLOW  0xFFE0
#define WHITE   0xFFFF

#define YP A2   // must be an analog pin, use "An" notation!
#define XM A1   // must be an analog pin, use "An" notation!
#define YM 14   // can be a digital pin, this is A0
#define XP 17   // can be a digital pin, this is A3 

#define MINPRESSURE 10
#define MAXPRESSURE 1000


#define LEFT2RIGHT 0
#define DOWN2UP    1
#define RIGHT2LEFT 2
#define UP2DOWN    3

  TouchScreen ts = TouchScreen(XP, YP, XM, YM);

  void takeReading()
{
  runstepper();
  delay(250);
  digitalWrite(pin11, LOW);
  delay(250); 
  digitalWrite(pin11, HIGH);
  
   

}

  void runstepper()
  {
    int i;
    digitalWrite(dirpin, stepdirection);     // Set the direction.
    
   
   for (i = 0; i<steplenght; i++)       // Iterate for 4000 microsteps.
  {
    if(runok)
    {
    digitalWrite(steppin, LOW);  // This LOW to HIGH change is what creates the
    delayMicroseconds(steplenght);
    digitalWrite(steppin, HIGH); // "Rising Edge" so the easydriver knows to when to step.
    delayMicroseconds(stepspeed); // This delay time is close to top speed for this
    
    }
  }
  }



void stopall()
{
  t.stop(eventid);
  Tft.drawString("STOP",105,297,3,YELLOW);
  delay(250);
  Tft.drawString("STOP",105,297,3,BLACK);
}

void InitialiseIO(){

  pinMode(A5, INPUT);    // Pin A2 is input to which a switch is connected
  digitalWrite(A5, HIGH);   // Configure internal pull-up resistor
}

void InitialiseInterrupt(){
  cli();    // switch interrupts off while messing with their settings  
  PCICR =0x02;          // Enable PCINT1 interrupt
  PCMSK1 = 0b00100000;
  sei();    // turn interrupts back on
}

ISR(PCINT1_vect) {    // Interrupt service routine. Every single PCINT8..14 (=ADC0..5) change
            // will generate an interrupt: but this will always be the same interrupt routine
  runok = false;
  if (digitalRead(A5)==0)  Serial.println("A5");
  stopall();
}
